Loading...
Searching...
No Matches
EST_Featured Class Reference

`#include <include/EST_Featured.h>`

Inheritance diagram for EST_Featured:
[legend]

## Classes

struct | IPointer_feat

## Public Types

typedef EST_TKVI< EST_String, EST_Val > | FeatEntry
typedef EST_TStructIterator< EST_Featured, IPointer_feat, FeatEntry > | FeatEntries
typedef EST_TRwStructIterator< EST_Featured, IPointer_feat, FeatEntry > | RwFeatEntries

## Public Member Functions

int | f_Int (const char *name, int def) const
int | f_Int (const char *name) const
int | f_I (const char *name, int def) const
int | f_I (const char *name) const
void | f_set (const EST_String name, int val)
void | f_set_path (const EST_String name, int val)
float | f_Float (const char *name, float def) const
float | f_Float (const char *name) const
float | f_F (const char *name, float def) const
float | f_F (const char *name) const
void | f_set (const EST_String name, float val)
void | f_set_path (const EST_String name, float val)
EST_String | f_String (const char *name, const EST_String &def) const
EST_String | f_String (const char *name) const
EST_String | f_S (const char *name, const EST_String &def) const
EST_String | f_S (const char *name) const
void | f_set (const EST_String name, const char *val)
void | f_set_path (const EST_String name, const char *val)
const EST_Val & | f_Val (const char *name, const EST_Val &def) const
const EST_Val & | f_Val (const char *name) const
const EST_Val & | f_V (const char *name, const EST_Val &def) const
const EST_Val & | f_V (const char *name) const
void | f_set_val (const EST_String name, EST_Val val)
void | f_set_path (const EST_String name, EST_Val val)
void | f_set (const EST_Features &f)
int | f_present (const EST_String name) const
void | f_remove (const EST_String name)

## Protected Member Functions

| EST_Featured (const EST_Featured &f)
void | init_features ()
void | copy_features (const EST_Featured &f)
void | clear_features ()
void | ensure_features (void)
void | point_to_first (IPointer_feat &ip) const
void | move_pointer_forwards (IPointer_feat &ip) const
bool | points_to_something (const IPointer_feat &ip) const
EST_TKVI< EST_String, EST_Val > & | points_at (const IPointer_feat &ip)

## Friends

class | EST_TIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >
class | EST_TStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >
class | EST_TRwIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >
class | EST_TRwStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

## Detailed Description

A class with the mechanisms needed to give an object features and access them nicely. Used as a parent class.

Author
  Richard Caley rjc@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk

Version

Id
  EST_Featured.h,v 1.3 2004/05/04 00:00:16 awb Exp

Definition at line 47 of file EST_Featured.h.

## Member Typedef Documentation

## FeatEntry

typedef EST_TKVI<EST_String, EST_Val> EST_Featured::FeatEntry

Definition at line 153 of file EST_Featured.h.

## FeatEntries

typedef EST_TStructIterator< EST_Featured, IPointer_feat, FeatEntry> EST_Featured::FeatEntries

Definition at line 154 of file EST_Featured.h.

## RwFeatEntries

typedef EST_TRwStructIterator< EST_Featured, IPointer_feat, FeatEntry> EST_Featured::RwFeatEntries

Definition at line 155 of file EST_Featured.h.

## Constructor & Destructor Documentation

## EST_Featured() [1/2]

EST_Featured::EST_Featured | ( | void |  | ) |

protected

Definition at line 44 of file EST_Featured.cc.

## EST_Featured() [2/2]

EST_Featured::EST_Featured | ( | const EST_Featured & | f | ) |

protected

Definition at line 49 of file EST_Featured.cc.

## ~EST_Featured()

EST_Featured::~EST_Featured | ( | void |  | ) |

protected

Definition at line 56 of file EST_Featured.cc.

## Member Function Documentation

## init_features()

void EST_Featured::init_features | ( |  | ) |

protected

Definition at line 61 of file EST_Featured.cc.

## copy_features()

void EST_Featured::copy_features | ( | const EST_Featured & | f | ) |

protected

Definition at line 92 of file EST_Featured.cc.

## clear_features()

void EST_Featured::clear_features | ( |  | ) |

protected

Definition at line 66 of file EST_Featured.cc.

## ensure_features()

void EST_Featured::ensure_features | ( | void |  | ) |

inline protected

Definition at line 64 of file EST_Featured.h.

## f_Int() [1/2]

int EST_Featured::f_Int | ( | const char * | name,
|  | int | def ) const

inline

Definition at line 69 of file EST_Featured.h.

## f_Int() [2/2]

int EST_Featured::f_Int | ( | const char * | name | ) | const

inline

Definition at line 71 of file EST_Featured.h.

## f_I() [1/2]

int EST_Featured::f_I | ( | const char * | name,
|  | int | def ) const

inline

Definition at line 73 of file EST_Featured.h.

## f_I() [2/2]

int EST_Featured::f_I | ( | const char * | name | ) | const

inline

Definition at line 75 of file EST_Featured.h.

## f_set() [1/4]

void EST_Featured::f_set | ( | const EST_String | name,
|  | int | val )

inline

Definition at line 77 of file EST_Featured.h.

## f_set_path() [1/4]

void EST_Featured::f_set_path | ( | const EST_String | name,
|  | int | val )

inline

Definition at line 79 of file EST_Featured.h.

## f_Float() [1/2]

float EST_Featured::f_Float | ( | const char * | name,
|  | float | def ) const

inline

Definition at line 83 of file EST_Featured.h.

## f_Float() [2/2]

float EST_Featured::f_Float | ( | const char * | name | ) | const

inline

Definition at line 85 of file EST_Featured.h.

## f_F() [1/2]

float EST_Featured::f_F | ( | const char * | name,
|  | float | def ) const

inline

Definition at line 87 of file EST_Featured.h.

## f_F() [2/2]

float EST_Featured::f_F | ( | const char * | name | ) | const

inline

Definition at line 89 of file EST_Featured.h.

## f_set() [2/4]

void EST_Featured::f_set | ( | const EST_String | name,
|  | float | val )

inline

Definition at line 91 of file EST_Featured.h.

## f_set_path() [2/4]

void EST_Featured::f_set_path | ( | const EST_String | name,
|  | float | val )

inline

Definition at line 93 of file EST_Featured.h.

## f_String() [1/2]

EST_String EST_Featured::f_String | ( | const char * | name,
|  | const EST_String & | def ) const

inline

Definition at line 97 of file EST_Featured.h.

## f_String() [2/2]

EST_String EST_Featured::f_String | ( | const char * | name | ) | const

inline

Definition at line 99 of file EST_Featured.h.

## f_S() [1/2]

EST_String EST_Featured::f_S | ( | const char * | name,
|  | const EST_String & | def ) const

inline

Definition at line 101 of file EST_Featured.h.

## f_S() [2/2]

EST_String EST_Featured::f_S | ( | const char * | name | ) | const

inline

Definition at line 103 of file EST_Featured.h.

## f_set() [3/4]

void EST_Featured::f_set | ( | const EST_String | name,
|  | const char * | val )

inline

Definition at line 105 of file EST_Featured.h.

## f_set_path() [3/4]

void EST_Featured::f_set_path | ( | const EST_String | name,
|  | const char * | val )

inline

Definition at line 107 of file EST_Featured.h.

## f_Val() [1/2]

const EST_Val & EST_Featured::f_Val | ( | const char * | name,
|  | const EST_Val & | def ) const

Definition at line 84 of file EST_Featured.cc.

## f_Val() [2/2]

const EST_Val & EST_Featured::f_Val | ( | const char * | name | ) | const

Definition at line 76 of file EST_Featured.cc.

## f_V() [1/2]

const EST_Val & EST_Featured::f_V | ( | const char * | name,
|  | const EST_Val & | def ) const

inline

Definition at line 114 of file EST_Featured.h.

## f_V() [2/2]

const EST_Val & EST_Featured::f_V | ( | const char * | name | ) | const

inline

Definition at line 116 of file EST_Featured.h.

## f_set_val()

void EST_Featured::f_set_val | ( | const EST_String | name,
|  | EST_Val | val )

inline

Definition at line 118 of file EST_Featured.h.

## f_set_path() [4/4]

void EST_Featured::f_set_path | ( | const EST_String | name,
|  | EST_Val | val )

inline

Definition at line 120 of file EST_Featured.h.

## f_set() [4/4]

void EST_Featured::f_set | ( | const EST_Features & | f | ) |

inline

Definition at line 123 of file EST_Featured.h.

## f_present()

int EST_Featured::f_present | ( | const EST_String | name | ) | const

inline

Definition at line 126 of file EST_Featured.h.

## f_remove()

void EST_Featured::f_remove | ( | const EST_String | name | ) |

inline

Definition at line 129 of file EST_Featured.h.

## point_to_first()

void EST_Featured::point_to_first | ( | IPointer_feat & | ip | ) | const

inline protected

Definition at line 138 of file EST_Featured.h.

## move_pointer_forwards()

void EST_Featured::move_pointer_forwards | ( | IPointer_feat & | ip | ) | const

inline protected

Definition at line 140 of file EST_Featured.h.

## points_to_something()

bool EST_Featured::points_to_something | ( | const IPointer_feat & | ip | ) | const

inline protected

Definition at line 142 of file EST_Featured.h.

## points_at()

EST_TKVI< EST_String, EST_Val > & EST_Featured::points_at | ( | const IPointer_feat & | ip | ) |

inline protected

Definition at line 144 of file EST_Featured.h.

## Friends And Related Symbol Documentation

## EST_TIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend class EST_TIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend

Definition at line 144 of file EST_Featured.h.

## EST_TStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend class EST_TStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend

Definition at line 144 of file EST_Featured.h.

## EST_TRwIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend class EST_TRwIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend

Definition at line 144 of file EST_Featured.h.

## EST_TRwStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend class EST_TRwStructIterator< EST_Featured, IPointer_feat, EST_TKVI< EST_String, EST_Val > >

friend

Definition at line 144 of file EST_Featured.h.

The documentation for this class was generated from the following files:

- include/EST_Featured.h
- base_class/EST_Featured.cc